Bug 2438 - error in sndconfig when trying to use an Aztech SGalaxy
error in sndconfig when trying to use an Aztech SGalaxy
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-30 10:08 EDT by rmc
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-25 16:50:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmc 1999-04-30 10:08:34 EDT
pnpprobe detects the board correctly, as an
Found PnP Card ->AZT1008<- ->AZT1008 PnP SOUND DEVICE<-
But then, pnpdump comes out with a useless isapnp.conf
(which doesn't happen when running it by hand). Usually it's
only the first (IDE-CDROM) section, but a couple of times a
few more showed up "unclosed" (the sections' final "))"
where commented out). also, afaik, sndconfig was supposed to
choose a configuration... but all of the options for all the
devices are commented out. After correcting that (by editing
/etc/isapnp.conf by hand before playing the sample) another
error shows up: sndconfig tries to use the "mpu_io" and
"mpu_irq" parameters in the "sgalaxy" module, which doesn't
recognize them. I haven't been able to get the board running
yet. As I side note... Before upgrading, the board was
running using the "sb" module, same IO/IRQ/DMA I'm trying to
use now (although is only worked as an 8bit sound board)
Comment 1 Bill Nottingham 1999-04-30 10:50:59 EDT
What is
- the output of pnpdump --config
- the isapnp.conf & conf.modules that sndconfig wrote?
Comment 2 Bill Nottingham 1999-05-03 11:36:59 EDT
OK. First of all, delete the extra entries for the card
(the first few), and rerun isapnp /etc/isapnp.conf.

Then, judging by the uncommented settings, a correct conf.modules
would be:

options sgalaxy io=0x534 irq=5 dma=1 dma2=3 sgbase=0x220
options mpu401 io=0x300 irq=3

Does that help?

------- Email Received From  Ricardo Cerqueira <rmc@rccn.net> 05/03/99 12:42 -------
Comment 3 Bill Nottingham 1999-05-03 16:22:59 EDT
try:

options ad1848 io=0x534 irq=5 dma=1 dma2=3

modprobe ad1848

Does that help?

------- Email Received From  Ricardo Cerqueira <rmc@rccn.net> 05/04/99 06:33 -------
Comment 4 Bill Nottingham 1999-05-10 12:18:59 EDT
Hmm, if the  previous didn't work, how about:

options ad1848 io=0x530 irq=5 dma=1 dma2=3

modprobe ad1848

The weird thing is that there *is* an ad1848/compatible
chip on their, if we can just get it to respond.


------- Email Received From  Ricardo Cerqueira <rmc@rccn.net> 05/10/99 13:13 -------
Comment 5 Bill Nottingham 1999-05-10 17:55:59 EDT
OK, so you're saying that both:

modprobe ad1848 io=0x534 irq=5 dma=1 dma2=3

and

modprobe sgalaxy io=0x534 irq=5 dma=1 dma2=3 sgbase=0x280

get 'Device or resource busy' errors? Do they get any other
errors (interrupt failures, & the like).

(I hope we're not repeating ourselves too many times.)



------- Email Received From  Ricardo Cerqueira <rmc@rccn.net> 05/11/99 06:51 -------
Comment 6 Bill Nottingham 1999-05-24 16:26:59 EDT
what happens if you try and use the configured IRQ for the mpu401
port (11) for the ad1848 driver?
If this fails, I'd just guess that the current drivers don't know
how to initialize it, and you're stuck with just the sb mode. :(

------- Email Received From  Ricardo Cerqueira <rmc@rccn.net> 05/25/99 09:56 -------
Comment 7 Bill Nottingham 1999-05-25 16:50:59 EDT
OK. I'll keep a look out to see if the driver changes any...

Note You need to log in before you can comment on or make changes to this bug.